Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1044060 - [RFE] Prevent RHEV from requiring hwaddr lines within ifcfg files
Summary: [RFE] Prevent RHEV from requiring hwaddr lines within ifcfg files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.4.0
Assignee: nobody nobody
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: 1058381 1058705 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-17 17:37 UTC by Dave Sullivan
Modified: 2018-12-04 16:44 UTC (History)
11 users (show)

Fixed In Version: av1
Doc Type: Enhancement
Doc Text:
ifcfg files for physical interfaces no longer include HWADDR lines that specify MAC addresses.
Clone Of:
: 1058381 1058705 (view as bug list)
Environment:
Last Closed: 2014-06-09 13:26:56 UTC
oVirt Team: Network
Target Upstream Version:
nyechiel: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0504 normal SHIPPED_LIVE vdsm 3.4.0 bug fix and enhancement update 2014-06-09 17:21:35 UTC
oVirt gerrit 22288 None None None Never
oVirt gerrit 23662 None None None Never

Description Dave Sullivan 2013-12-17 17:37:16 UTC
Description of problem:

The ifcfg files on the hypervisor for physical interfaces generated by RHEV have the 'HWADDR' mac address field in them. We need that to not happen. Through biosdevnames and previous techniques we already guarantee that NIC names will remain consistent across boot and this breaks our operational practices.

This is focused on RHEV deployment on RHEL6 where NetworkManager does not run.


Version-Release number of selected component (if applicable):

3.2


Actual results:


Expected results:


Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=888329
https://bugzilla.redhat.com/show_bug.cgi?id=824130 (on_qa)

It seems that within RHEL7 NetworkManager doesn't require hwaddr to control a device.  Nor does NM_CONTROLLED=no necessarily mean a device is not controlled by NetworkManager.

Comment 1 Dan Kenigsberg 2013-12-28 23:09:34 UTC
As of http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?h=c308e75b , NM_CONTROLLED=no may be effective even without a HWADDR line. However, to the best of my knowledge, that code is not in NetworkManager-0.9.8.8 and hence not in oVirt's supported platforms.

Therefor, users who would like to run NetworkManager and Vdsm on the same host, still require the HWADDR line.

Until this changes, would it be reasonable to ask users who find HWADDR lines disturbing to explicitly disable them in /etc/vdsm/vdsm.conf by setting

    hwaddr_in_ifcfg=never

?

Comment 5 Dan Kenigsberg 2014-01-27 22:53:24 UTC
http://gerrit.ovirt.org/23662 has been merged into upstream stable branch. This means that pending qa_ack+, the bug would be delivered in rhev-3.3.1.

Comment 7 Meni Yakove 2014-02-17 14:24:57 UTC
vdsm-4.14.1-3.el6.x86_64

Comment 10 errata-xmlrpc 2014-06-09 13:26:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0504.html


Note You need to log in before you can comment on or make changes to this bug.